Inject query parameter into a method parameter.
-
Required Element Summary
Required Elements -
Optional Element Summary
Optional ElementsModifier and TypeOptional ElementDescriptionDefault value to use if the query parameter is not available. -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringConfigured value meaning the annotation has a default value.
-
Field Details
-
NO_DEFAULT_VALUE
Configured value meaning the annotation has a default value.- See Also:
-
-
Element Details
-
value
String valueName of the parameter.- Returns:
- name of the query parameter
-
defaultValue
String defaultValueDefault value to use if the query parameter is not available.- Returns:
- default value, if none specified, the query parameter is considered required
- Default:
"io.helidon.nima.htp.api.QueryParam_NO_DEFAULT_VALUE"
-